> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tester.army/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tester.army/_mcp/server.

# Re-run a batch

POST https://tester.army/api/v1/batches/{batchId}/rerun

Create a new group-run batch from the runnable tests in a prior batch. Deleted, disabled, or malformed tests are skipped and returned as `skippedTestIds`.

Reference: https://docs.tester.army/api-reference/tester-army-api/test-runs/re-run-a-batch

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: testerarmy
  version: 1.0.0
paths:
  /v1/batches/{batchId}/rerun:
    post:
      operationId: re-run-a-batch
      summary: Re-run a batch
      description: >-
        Create a new group-run batch from the runnable tests in a prior batch.
        Deleted, disabled, or malformed tests are skipped and returned as
        `skippedTestIds`.
      tags:
        - testRuns
      parameters:
        - name: batchId
          in: path
          description: Source batch ID
          required: true
          schema:
            type: string
            format: uuid
        - name: Authorization
          in: header
          description: API key authentication using Bearer token format
          required: true
          schema:
            type: string
      responses:
        '202':
          description: Batch re-run queued successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Test Runs_reRunABatch_Response_202'
        '400':
          description: Bad Request - Invalid input parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReRunABatchRequestBadRequestError'
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReRunABatchRequestUnauthorizedError'
        '404':
          description: Batch not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReRunABatchRequestNotFoundError'
        '409':
          description: Conflict - Batch cannot be re-run
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReRunABatchRequestConflictError'
        '429':
          description: Too Many Requests - Usage limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReRunABatchRequestTooManyRequestsError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReRunABatchRequestInternalServerError'
        '504':
          description: Gateway Timeout - Test execution exceeded time limit
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReRunABatchRequestGatewayTimeoutError'
servers:
  - url: https://tester.army/api
    description: Production API server
components:
  schemas:
    V1BatchesBatchIdRerunPostResponsesContentApplicationJsonSchemaStatus:
      type: string
      enum:
        - queued
        - cancelled
      title: V1BatchesBatchIdRerunPostResponsesContentApplicationJsonSchemaStatus
    Test Runs_reRunABatch_Response_202:
      type: object
      properties:
        status:
          $ref: >-
            #/components/schemas/V1BatchesBatchIdRerunPostResponsesContentApplicationJsonSchemaStatus
        groupId:
          type: string
          format: uuid
        batchId:
          type: string
          format: uuid
        sourceBatchId:
          type: string
          format: uuid
        runIds:
          type: array
          items:
            type: string
            format: uuid
        queuedRunIds:
          type: array
          items:
            type: string
            format: uuid
        cancelledRunIds:
          type: array
          items:
            type: string
            format: uuid
        skippedTestIds:
          type: array
          items:
            type: string
            format: uuid
        count:
          type: integer
      required:
        - status
        - groupId
        - batchId
        - sourceBatchId
        - runIds
        - queuedRunIds
        - cancelledRunIds
        - skippedTestIds
        - count
      title: Test Runs_reRunABatch_Response_202
    ReRunABatchRequestBadRequestError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: ReRunABatchRequestBadRequestError
    ReRunABatchRequestUnauthorizedError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: ReRunABatchRequestUnauthorizedError
    ReRunABatchRequestNotFoundError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: ReRunABatchRequestNotFoundError
    ReRunABatchRequestConflictError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: ReRunABatchRequestConflictError
    ReRunABatchRequestTooManyRequestsError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: ReRunABatchRequestTooManyRequestsError
    ReRunABatchRequestInternalServerError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: ReRunABatchRequestInternalServerError
    ReRunABatchRequestGatewayTimeoutError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: ReRunABatchRequestGatewayTimeoutError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key authentication using Bearer token format

```

## Examples



**Response**

```json
{
  "status": "queued",
  "groupId": "string",
  "batchId": "string",
  "sourceBatchId": "string",
  "runIds": [
    "string"
  ],
  "queuedRunIds": [
    "string"
  ],
  "cancelledRunIds": [
    "string"
  ],
  "skippedTestIds": [
    "string"
  ],
  "count": 1
}
```

**SDK Code**

```python
import requests

url = "https://tester.army/api/v1/batches/batchId/rerun"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://tester.army/api/v1/batches/batchId/rerun';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://tester.army/api/v1/batches/batchId/rerun"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://tester.army/api/v1/batches/batchId/rerun")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://tester.army/api/v1/batches/batchId/rerun")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://tester.army/api/v1/batches/batchId/rerun', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://tester.army/api/v1/batches/batchId/rerun");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://tester.army/api/v1/batches/batchId/rerun")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```